Subject: Re: EMAC OF binding....

From: David Gibson <[email-masked]>
Date: Wed, 10 Jan 2007 09:41:07 +1100

On Tue, Jan 09, 2007 at 11:17:07PM +0100, Segher Boessenkool wrote:
> > I don't see the need of having some weird "soc" node that doesn't quite
> > mean anything (especially on axon) that has phandles to every sub 
> > device
> > in there :-)
> 
> Well simply, if I understood you correctly, you have some
> register where some bits control emac #0 and some control
> emac #1.  This register can't belong to either of those
> devices because it can't belong to both, so it has to
> belong to some "control" / "power management" / whatever
> device.

I believe there are also some cases where you need to put the index
value itself into a field of some global control register.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson